<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iBillboardManager Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iBillboardManager Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iBillboardManager" --><!-- doxytag: inherits="iBase" -->
<p>This is a manager to handle billboards.  
 <a href="structiBillboardManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tools_2billboard_8h_source.html">tools/billboard.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iBillboardManager:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiBillboardManager.png" usemap="#iBillboardManager_map" alt=""/>
  <map id="iBillboardManager_map" name="iBillboardManager_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,116,24"/>
</map>
 </div></div>

<p><a href="structiBillboardManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a68760e60d07e75d999fa16dda2440e5c">BillboardToScreenX</a> (int x) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a billboard X position to screen space.  <a href="#a68760e60d07e75d999fa16dda2440e5c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#ac6195d7a8f732e4ff2cf6344905e8227">BillboardToScreenY</a> (int y) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a billboard Y position to screen space.  <a href="#ac6195d7a8f732e4ff2cf6344905e8227"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#ab59a1f0c8128045633c1020775efe259">CreateBillboard</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new billboard with the given name.  <a href="#ab59a1f0c8128045633c1020775efe259"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiBillboardLayer.html">iBillboardLayer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a891f6cf7e2e0bfcdab2b2f5fc930a090">CreateBillboardLayer</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new billboard layer with the given name.  <a href="#a891f6cf7e2e0bfcdab2b2f5fc930a090"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#acbd8f528fdd20ec12219d5995e7c9e77">FindBillboard</a> (const char *name) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find a billboard with a given name.  <a href="#acbd8f528fdd20ec12219d5995e7c9e77"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiBillboardLayer.html">iBillboardLayer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#afcbed1e12d18478f250087363f59d651">FindBillboardLayer</a> (const char *name) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find a billboard layer with a given name.  <a href="#afcbed1e12d18478f250087363f59d651"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a91cd7517b8fa652f7f8c062d6e0d4ca9">GetBillboard</a> (size_t idx) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a billboard by index.  <a href="#a91cd7517b8fa652f7f8c062d6e0d4ca9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#aadb83478447b6234f88ba3e180563daa">GetBillboardCount</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of all billboards.  <a href="#aadb83478447b6234f88ba3e180563daa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiBillboardLayer.html">iBillboardLayer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#ac82f26e733d03e8a07d8831ebf47c81d">GetBillboardLayer</a> (size_t idx) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a billboard layer by index.  <a href="#ac82f26e733d03e8a07d8831ebf47c81d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a6015e805fbe5b31f790540609a3f5b98">GetBillboardLayerCount</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of all billboard layers.  <a href="#a6015e805fbe5b31f790540609a3f5b98"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#ad83a438bab7212a0805a9801edfd6b44">GetDefaultTextBgColor</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the default background color to use for text.  <a href="#ad83a438bab7212a0805a9801edfd6b44"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#af407f854255157905171b51fba3462fb">GetDefaultTextFgColor</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the default foreground color to use for text.  <a href="#af407f854255157905171b51fba3462fb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a22b4fe3bb78315db8afd777205f83f4a">GetDefaultTextFont</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the default font to use for text.  <a href="#a22b4fe3bb78315db8afd777205f83f4a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a0241a12f5cf8d171fe1f9d6459ac7974">GetDefaultTextFontSize</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the default font size to use for text.  <a href="#a0241a12f5cf8d171fe1f9d6459ac7974"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#ace3d2098b316cd1c616f3d0187adf112">GetShowroom</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the showroom.  <a href="#ace3d2098b316cd1c616f3d0187adf112"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#af53361e66200934f767be514d2b2e1f9">RemoveAll</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all billboards.  <a href="#af53361e66200934f767be514d2b2e1f9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a5c0f10930830cf3c9fa01039b55c0273">RemoveBillboard</a> (<a class="el" href="structiBillboard.html">iBillboard</a> *billboard)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a billboard.  <a href="#a5c0f10930830cf3c9fa01039b55c0273"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#af2cc8640c7c3dbcae4e19e401a7cb14a">RemoveBillboardLayer</a> (<a class="el" href="structiBillboardLayer.html">iBillboardLayer</a> *layer)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a billboard layer.  <a href="#af2cc8640c7c3dbcae4e19e401a7cb14a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a20574133e69088a9d60fe0d2fdf35849">ScreenToBillboardX</a> (int x) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a screen X position to billboard space.  <a href="#a20574133e69088a9d60fe0d2fdf35849"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a2a088d5c27fbeef246861d90f42d424c">ScreenToBillboardY</a> (int y) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a screen Y position to billboard space.  <a href="#a2a088d5c27fbeef246861d90f42d424c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a64bd35bc8f6008fce997ad817a5d8ac5">SetDefaultTextBgColor</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;color)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup the default background color to use for text.  <a href="#a64bd35bc8f6008fce997ad817a5d8ac5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a8158f38872900d7118f6f1843227f84b">SetDefaultTextBgTransparent</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup the default text background to use transparency.  <a href="#a8158f38872900d7118f6f1843227f84b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a3df05a2246e507cd0371bac4ba54312e">SetDefaultTextFgColor</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;color)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup the default foreground color to use for text.  <a href="#a3df05a2246e507cd0371bac4ba54312e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a60aacfb84103b45388b33f7bd230fc33">SetDefaultTextFont</a> (const char *fontname, float fontsize)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup the default font to use for text.  <a href="#a60aacfb84103b45388b33f7bd230fc33"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#ad431ae03b8b7306d3157dca23f5bb92d">SetFlags</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a> flags, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a> mask)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set flags for all billboards.  <a href="#ad431ae03b8b7306d3157dca23f5bb92d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#aaf958c4f0d14a5a8417b22b508505ae5">StackAfter</a> (<a class="el" href="structiBillboard.html">iBillboard</a> *bb, <a class="el" href="structiBillboard.html">iBillboard</a> *other)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Put a billboard after the given other billboard.  <a href="#aaf958c4f0d14a5a8417b22b508505ae5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a6d7bab5d3af23a6b0449f0770f5a47d9">StackBefore</a> (<a class="el" href="structiBillboard.html">iBillboard</a> *bb, <a class="el" href="structiBillboard.html">iBillboard</a> *other)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Put a billboard before the given other billboard.  <a href="#a6d7bab5d3af23a6b0449f0770f5a47d9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a7303ad395c2268831ac883ca8a5aadb7">StackBottom</a> (<a class="el" href="structiBillboard.html">iBillboard</a> *bb)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bring a billboard to the bottom of the stack.  <a href="#a7303ad395c2268831ac883ca8a5aadb7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#ac0aa0af550f9c6edac9e3cdb9378c692">StackDown</a> (<a class="el" href="structiBillboard.html">iBillboard</a> *bb)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bring a billboard one closer to the bottom.  <a href="#ac0aa0af550f9c6edac9e3cdb9378c692"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#ad881640d11e94aaf10cfb00320bb5da6">StackTop</a> (<a class="el" href="structiBillboard.html">iBillboard</a> *bb)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bring a billboard to the top of the stack (first visible).  <a href="#ad881640d11e94aaf10cfb00320bb5da6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a0d7cbb18929b3578d06947b7774dcc9e">StackUp</a> (<a class="el" href="structiBillboard.html">iBillboard</a> *bb)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bring a billboard one closer to the top.  <a href="#a0d7cbb18929b3578d06947b7774dcc9e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardManager.html#a140f0932f3c808da7f039c25e8c8b8cc">TestCollision</a> (<a class="el" href="structiBillboard.html">iBillboard</a> *bb1, <a class="el" href="structiBillboard.html">iBillboard</a> *bb2)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if two billboards collide with each other and return true if they do.  <a href="#a140f0932f3c808da7f039c25e8c8b8cc"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a manager to handle billboards. </p>
<p>This is used in combination with the billboard property class. </p>

<p>Definition at line <a class="el" href="tools_2billboard_8h_source.html#l00423">423</a> of file <a class="el" href="tools_2billboard_8h_source.html">billboard.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a68760e60d07e75d999fa16dda2440e5c"></a><!-- doxytag: member="iBillboardManager::BillboardToScreenX" ref="a68760e60d07e75d999fa16dda2440e5c" args="(int x) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiBillboardManager.html#a68760e60d07e75d999fa16dda2440e5c">iBillboardManager::BillboardToScreenX</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert a billboard X position to screen space. </p>

</div>
</div>
<a class="anchor" id="ac6195d7a8f732e4ff2cf6344905e8227"></a><!-- doxytag: member="iBillboardManager::BillboardToScreenY" ref="ac6195d7a8f732e4ff2cf6344905e8227" args="(int y) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiBillboardManager.html#ac6195d7a8f732e4ff2cf6344905e8227">iBillboardManager::BillboardToScreenY</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert a billboard Y position to screen space. </p>

</div>
</div>
<a class="anchor" id="ab59a1f0c8128045633c1020775efe259"></a><!-- doxytag: member="iBillboardManager::CreateBillboard" ref="ab59a1f0c8128045633c1020775efe259" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiBillboard.html">iBillboard</a>* <a class="el" href="structiBillboardManager.html#ab59a1f0c8128045633c1020775efe259">iBillboardManager::CreateBillboard</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new billboard with the given name. </p>
<p>Returns 0 on failure. By default a new billboard will be visible and not movable. </p>

</div>
</div>
<a class="anchor" id="a891f6cf7e2e0bfcdab2b2f5fc930a090"></a><!-- doxytag: member="iBillboardManager::CreateBillboardLayer" ref="a891f6cf7e2e0bfcdab2b2f5fc930a090" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiBillboardLayer.html">iBillboardLayer</a>* <a class="el" href="structiBillboardManager.html#a891f6cf7e2e0bfcdab2b2f5fc930a090">iBillboardManager::CreateBillboardLayer</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new billboard layer with the given name. </p>
<p>Returns 0 on failure. Note that there is always a layer with name 'default' which is used for new billboards. </p>

</div>
</div>
<a class="anchor" id="acbd8f528fdd20ec12219d5995e7c9e77"></a><!-- doxytag: member="iBillboardManager::FindBillboard" ref="acbd8f528fdd20ec12219d5995e7c9e77" args="(const char *name) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiBillboard.html">iBillboard</a>* <a class="el" href="structiBillboardManager.html#acbd8f528fdd20ec12219d5995e7c9e77">iBillboardManager::FindBillboard</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find a billboard with a given name. </p>

</div>
</div>
<a class="anchor" id="afcbed1e12d18478f250087363f59d651"></a><!-- doxytag: member="iBillboardManager::FindBillboardLayer" ref="afcbed1e12d18478f250087363f59d651" args="(const char *name) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiBillboardLayer.html">iBillboardLayer</a>* <a class="el" href="structiBillboardManager.html#afcbed1e12d18478f250087363f59d651">iBillboardManager::FindBillboardLayer</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find a billboard layer with a given name. </p>

</div>
</div>
<a class="anchor" id="a91cd7517b8fa652f7f8c062d6e0d4ca9"></a><!-- doxytag: member="iBillboardManager::GetBillboard" ref="a91cd7517b8fa652f7f8c062d6e0d4ca9" args="(size_t idx) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiBillboard.html">iBillboard</a>* <a class="el" href="structiBillboardManager.html#a91cd7517b8fa652f7f8c062d6e0d4ca9">iBillboardManager::GetBillboard</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a billboard by index. </p>

</div>
</div>
<a class="anchor" id="aadb83478447b6234f88ba3e180563daa"></a><!-- doxytag: member="iBillboardManager::GetBillboardCount" ref="aadb83478447b6234f88ba3e180563daa" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiBillboardManager.html#aadb83478447b6234f88ba3e180563daa">iBillboardManager::GetBillboardCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of all billboards. </p>

</div>
</div>
<a class="anchor" id="ac82f26e733d03e8a07d8831ebf47c81d"></a><!-- doxytag: member="iBillboardManager::GetBillboardLayer" ref="ac82f26e733d03e8a07d8831ebf47c81d" args="(size_t idx) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiBillboardLayer.html">iBillboardLayer</a>* <a class="el" href="structiBillboardManager.html#ac82f26e733d03e8a07d8831ebf47c81d">iBillboardManager::GetBillboardLayer</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a billboard layer by index. </p>

</div>
</div>
<a class="anchor" id="a6015e805fbe5b31f790540609a3f5b98"></a><!-- doxytag: member="iBillboardManager::GetBillboardLayerCount" ref="a6015e805fbe5b31f790540609a3f5b98" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiBillboardManager.html#a6015e805fbe5b31f790540609a3f5b98">iBillboardManager::GetBillboardLayerCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of all billboard layers. </p>

</div>
</div>
<a class="anchor" id="ad83a438bab7212a0805a9801edfd6b44"></a><!-- doxytag: member="iBillboardManager::GetDefaultTextBgColor" ref="ad83a438bab7212a0805a9801edfd6b44" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; <a class="el" href="structiBillboardManager.html#ad83a438bab7212a0805a9801edfd6b44">iBillboardManager::GetDefaultTextBgColor</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the default background color to use for text. </p>

</div>
</div>
<a class="anchor" id="af407f854255157905171b51fba3462fb"></a><!-- doxytag: member="iBillboardManager::GetDefaultTextFgColor" ref="af407f854255157905171b51fba3462fb" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; <a class="el" href="structiBillboardManager.html#af407f854255157905171b51fba3462fb">iBillboardManager::GetDefaultTextFgColor</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the default foreground color to use for text. </p>

</div>
</div>
<a class="anchor" id="a22b4fe3bb78315db8afd777205f83f4a"></a><!-- doxytag: member="iBillboardManager::GetDefaultTextFont" ref="a22b4fe3bb78315db8afd777205f83f4a" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiBillboardManager.html#a22b4fe3bb78315db8afd777205f83f4a">iBillboardManager::GetDefaultTextFont</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the default font to use for text. </p>

</div>
</div>
<a class="anchor" id="a0241a12f5cf8d171fe1f9d6459ac7974"></a><!-- doxytag: member="iBillboardManager::GetDefaultTextFontSize" ref="a0241a12f5cf8d171fe1f9d6459ac7974" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiBillboardManager.html#a0241a12f5cf8d171fe1f9d6459ac7974">iBillboardManager::GetDefaultTextFontSize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the default font size to use for text. </p>

</div>
</div>
<a class="anchor" id="ace3d2098b316cd1c616f3d0187adf112"></a><!-- doxytag: member="iBillboardManager::GetShowroom" ref="ace3d2098b316cd1c616f3d0187adf112" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>* <a class="el" href="structiBillboardManager.html#ace3d2098b316cd1c616f3d0187adf112">iBillboardManager::GetShowroom</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the showroom. </p>
<p>This is a special sector that is used for rendering meshes in. If you call this function for the first time it will create a sector with two white lights (one at (-10, 3, 0) and one at (10, 3, 0) with radius 50. The object will be placed at (0,0,0). You can modify this sector freely (adding/removing lights, changing renderloop, ...) </p>

</div>
</div>
<a class="anchor" id="af53361e66200934f767be514d2b2e1f9"></a><!-- doxytag: member="iBillboardManager::RemoveAll" ref="af53361e66200934f767be514d2b2e1f9" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardManager.html#af53361e66200934f767be514d2b2e1f9">iBillboardManager::RemoveAll</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all billboards. </p>

</div>
</div>
<a class="anchor" id="a5c0f10930830cf3c9fa01039b55c0273"></a><!-- doxytag: member="iBillboardManager::RemoveBillboard" ref="a5c0f10930830cf3c9fa01039b55c0273" args="(iBillboard *billboard)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardManager.html#a5c0f10930830cf3c9fa01039b55c0273">iBillboardManager::RemoveBillboard</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>billboard</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a billboard. </p>

</div>
</div>
<a class="anchor" id="af2cc8640c7c3dbcae4e19e401a7cb14a"></a><!-- doxytag: member="iBillboardManager::RemoveBillboardLayer" ref="af2cc8640c7c3dbcae4e19e401a7cb14a" args="(iBillboardLayer *layer)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardManager.html#af2cc8640c7c3dbcae4e19e401a7cb14a">iBillboardManager::RemoveBillboardLayer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiBillboardLayer.html">iBillboardLayer</a> *&#160;</td>
          <td class="paramname"><em>layer</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a billboard layer. </p>
<p>Note that all billboards that use this layer will be put back on the default layer. Also note that you can't remove the default layer. </p>

</div>
</div>
<a class="anchor" id="a20574133e69088a9d60fe0d2fdf35849"></a><!-- doxytag: member="iBillboardManager::ScreenToBillboardX" ref="a20574133e69088a9d60fe0d2fdf35849" args="(int x) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiBillboardManager.html#a20574133e69088a9d60fe0d2fdf35849">iBillboardManager::ScreenToBillboardX</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert a screen X position to billboard space. </p>

</div>
</div>
<a class="anchor" id="a2a088d5c27fbeef246861d90f42d424c"></a><!-- doxytag: member="iBillboardManager::ScreenToBillboardY" ref="a2a088d5c27fbeef246861d90f42d424c" args="(int y) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiBillboardManager.html#a2a088d5c27fbeef246861d90f42d424c">iBillboardManager::ScreenToBillboardY</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert a screen Y position to billboard space. </p>

</div>
</div>
<a class="anchor" id="a64bd35bc8f6008fce997ad817a5d8ac5"></a><!-- doxytag: member="iBillboardManager::SetDefaultTextBgColor" ref="a64bd35bc8f6008fce997ad817a5d8ac5" args="(const csColor &amp;color)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardManager.html#a64bd35bc8f6008fce997ad817a5d8ac5">iBillboardManager::SetDefaultTextBgColor</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Setup the default background color to use for text. </p>

</div>
</div>
<a class="anchor" id="a8158f38872900d7118f6f1843227f84b"></a><!-- doxytag: member="iBillboardManager::SetDefaultTextBgTransparent" ref="a8158f38872900d7118f6f1843227f84b" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardManager.html#a8158f38872900d7118f6f1843227f84b">iBillboardManager::SetDefaultTextBgTransparent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Setup the default text background to use transparency. </p>

</div>
</div>
<a class="anchor" id="a3df05a2246e507cd0371bac4ba54312e"></a><!-- doxytag: member="iBillboardManager::SetDefaultTextFgColor" ref="a3df05a2246e507cd0371bac4ba54312e" args="(const csColor &amp;color)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardManager.html#a3df05a2246e507cd0371bac4ba54312e">iBillboardManager::SetDefaultTextFgColor</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Setup the default foreground color to use for text. </p>

</div>
</div>
<a class="anchor" id="a60aacfb84103b45388b33f7bd230fc33"></a><!-- doxytag: member="iBillboardManager::SetDefaultTextFont" ref="a60aacfb84103b45388b33f7bd230fc33" args="(const char *fontname, float fontsize)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiBillboardManager.html#a60aacfb84103b45388b33f7bd230fc33">iBillboardManager::SetDefaultTextFont</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>fontname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>fontsize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Setup the default font to use for text. </p>

</div>
</div>
<a class="anchor" id="ad431ae03b8b7306d3157dca23f5bb92d"></a><!-- doxytag: member="iBillboardManager::SetFlags" ref="ad431ae03b8b7306d3157dca23f5bb92d" args="(uint32 flags, uint32 mask)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardManager.html#ad431ae03b8b7306d3157dca23f5bb92d">iBillboardManager::SetFlags</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a>&#160;</td>
          <td class="paramname"><em>flags</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a>&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set flags for all billboards. </p>

</div>
</div>
<a class="anchor" id="aaf958c4f0d14a5a8417b22b508505ae5"></a><!-- doxytag: member="iBillboardManager::StackAfter" ref="aaf958c4f0d14a5a8417b22b508505ae5" args="(iBillboard *bb, iBillboard *other)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardManager.html#aaf958c4f0d14a5a8417b22b508505ae5">iBillboardManager::StackAfter</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>bb</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>other</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Put a billboard after the given other billboard. </p>

</div>
</div>
<a class="anchor" id="a6d7bab5d3af23a6b0449f0770f5a47d9"></a><!-- doxytag: member="iBillboardManager::StackBefore" ref="a6d7bab5d3af23a6b0449f0770f5a47d9" args="(iBillboard *bb, iBillboard *other)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardManager.html#a6d7bab5d3af23a6b0449f0770f5a47d9">iBillboardManager::StackBefore</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>bb</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>other</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Put a billboard before the given other billboard. </p>

</div>
</div>
<a class="anchor" id="a7303ad395c2268831ac883ca8a5aadb7"></a><!-- doxytag: member="iBillboardManager::StackBottom" ref="a7303ad395c2268831ac883ca8a5aadb7" args="(iBillboard *bb)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardManager.html#a7303ad395c2268831ac883ca8a5aadb7">iBillboardManager::StackBottom</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>bb</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bring a billboard to the bottom of the stack. </p>

</div>
</div>
<a class="anchor" id="ac0aa0af550f9c6edac9e3cdb9378c692"></a><!-- doxytag: member="iBillboardManager::StackDown" ref="ac0aa0af550f9c6edac9e3cdb9378c692" args="(iBillboard *bb)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardManager.html#ac0aa0af550f9c6edac9e3cdb9378c692">iBillboardManager::StackDown</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>bb</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bring a billboard one closer to the bottom. </p>

</div>
</div>
<a class="anchor" id="ad881640d11e94aaf10cfb00320bb5da6"></a><!-- doxytag: member="iBillboardManager::StackTop" ref="ad881640d11e94aaf10cfb00320bb5da6" args="(iBillboard *bb)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardManager.html#ad881640d11e94aaf10cfb00320bb5da6">iBillboardManager::StackTop</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>bb</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bring a billboard to the top of the stack (first visible). </p>

</div>
</div>
<a class="anchor" id="a0d7cbb18929b3578d06947b7774dcc9e"></a><!-- doxytag: member="iBillboardManager::StackUp" ref="a0d7cbb18929b3578d06947b7774dcc9e" args="(iBillboard *bb)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardManager.html#a0d7cbb18929b3578d06947b7774dcc9e">iBillboardManager::StackUp</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>bb</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bring a billboard one closer to the top. </p>

</div>
</div>
<a class="anchor" id="a140f0932f3c808da7f039c25e8c8b8cc"></a><!-- doxytag: member="iBillboardManager::TestCollision" ref="a140f0932f3c808da7f039c25e8c8b8cc" args="(iBillboard *bb1, iBillboard *bb2)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiBillboardManager.html#a140f0932f3c808da7f039c25e8c8b8cc">iBillboardManager::TestCollision</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>bb1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>bb2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Test if two billboards collide with each other and return true if they do. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="tools_2billboard_8h_source.html">billboard.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
